Package org.h2.store

# Class FileLister

java.lang.Object
org.h2.store.FileLister

public class FileLister extends Object
Utility class to list the files of a database.

## Method Summary

Modifier and Type
Method
Description
`static ArrayList<String>`
`getDatabaseFiles(String dir, String db, boolean all)`
Get the list of database files.
`static String`
`getDir(String dir)`
Normalize the directory name.
`static void`
`tryUnlockDatabase(List<String> files, String message)`
Try to lock the database, and then unlock it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### tryUnlockDatabase

public static void tryUnlockDatabase(List<String> files, String message) throws SQLException
Try to lock the database, and then unlock it. If this worked, the .lock.db file will be removed.

Parameters:
  `files` - the database files to check
  `message` - the text to include in the error message
Throws:
  `SQLException` - if it failed

### getDir

public static String getDir(String dir)
Normalize the directory name.

Parameters:
  `dir` - the directory (null for the current directory)
Returns:
  the normalized directory name

### getDatabaseFiles

public static ArrayList<String> getDatabaseFiles(String dir, String db, boolean all)
Get the list of database files.

Parameters:
  `dir` - the directory (must be normalized)
  `db` - the database name (null for all databases)
  `all` - if true, files such as the lock, trace, and lob files are included. If false, only data, index, log, and lob files are returned
Returns:
  the list of files